Reference data
List available Aimee call types
Retrieve a List of Call Types for Practices.
Sample Request:
GET /api/aimee-practice-call-types/?practice_ids=9AxAFr4n63uputNXKo89x1,9AxAFr4n63uputNXKo89x2&organization_id=9AxAFr4n63uputNXKo89x1®ion_id=9AxAFr4n63uputNXKo89x1
GET
/
api
/
aimee-practice-call-types
/
List available Aimee call types
curl --request GET \
--url https://api.prod.peerlogic.com/api/aimee-practice-call-types/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.prod.peerlogic.com/api/aimee-practice-call-types/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.peerlogic.com/api/aimee-practice-call-types/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"missed_call": "Missed Call",
"missed_call_existing_patient": "Missed Call - Existing Patient",
"missed_call_cancellation_reschedule": "Missed Call - Possible Cancellation or Reschedule",
"missed_call_current_appointment": "Missed Call - Current Appointment",
"missed_call_business": "Missed Call - Business",
"high_value_missed_call": "Missed Call - High-value"
}
}{
"field_error": "One of the following parameter must be provided [practice_ids, organization_id or region_id]"
}{
"detail": "'Authorization' header is required"
}Authorizations
Bearer access token issued by Peerlogic.
Query Parameters
Comma-separated list of practice IDs to filter call types by specific practices. Example: '9AxAFr4n63uputNXKo89x1,9AxAFr4n63uputNXKo89x2'
Organization ID to filter call types within a specific organization. Example: '9AxAFr4n63uputNXKo89x1'
Region ID to filter call types by a specific region. Example: '9AxAFr4n63uputNXKo89x1'
Response
A list of call types for the specified practices.
Show child attributes
Show child attributes
Was this page helpful?
List available Aimee call types
